<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTestimonialsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: testimonials
         */
        Schema::create('testimonials', function ($table) {
            $table->increments('id');
            $table->string('name', 50)->nullable();
            $table->string('description', 1000)->nullable();
            $table->string('location', 250)->nullable();
            $table->string('image', 255)->nullable();
            $table->string('slug', 50)->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('testimonials');
    }
}
