<?php

// web routes  for testimonial
Route::prefix('{guard}/testimonial')->group(function () {
    Route::resource('testimonial', 'TestimonialResourceController');
});

// Public routes for testimonial
Route::get('testimonials/', 'TestimonialPublicController@index');
Route::get('testimonials/{slug?}', 'TestimonialPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'TestimonialResourceController');
            });
            // Public routes for pages
            Route::get('testimonials/', 'TestimonialPublicController@index');
            Route::get('testimonials/{slug?}', 'TestimonialPublicController@show');
        }
    );
}

